# Create a Timesheet Submission

Create a new TimesheetSubmission.

Note: A TimesheetSubmission can be associated with only one project.


This endpoint returns structured Timesheet Submission objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the timesheet_submissions top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /timesheet_submissions
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- time_entries (TimeEntry) - Reference the Time Entries that belong to the Timesheet Submissions.
- user (User) - Includes user who owns the line items on the submission.
- workspace (Workspace) - Includes workspace to which the submission belongs.

## Request fields (application/json):

  - `timesheet_submission` (object)

  - `timesheet_submission.line_item_ids` (array, required)
    An array of time entry IDs of the time entries that will be included in the TimesheetSubmission.

  - `timesheet_submission.title` (string, required)
    The title of the TimesheetSubmission.

  - `timesheet_submission.workspace_id` (integer, required)
    The ID of the project that will own the TimesheetSubmission and its time entries.

  - `timesheet_submission.user_id` (integer)
    This can be included when the TimesheetSubmission is being submitted on behalf of another user.

  - `timesheet_submission.comment` (string)
    Additional notes on the TimesheetSubmission.

  - `timesheet_submission.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `timesheet_submission.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `timesheet_submission.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `timesheet_submission.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `timesheet_submission.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `timesheet_submission.external_reference.external_message` (string)
    The message on the external object.

  - `timesheet_submission.external_reference.external_link` (string)
    The link to the external object.

  - `timesheet_submission.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `timesheet_submission.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `timesheet_submissions` (object)

  - `external_references` (object)

  - `users` (object)

  - `workspaces` (object)

  - `time_entries` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


